Monitoring
Get a monitoring rule
Scope: monitoring:read
A rule's configuration, schedule and recent alerts.
AuthorizationBearer <token>
Use Authorization: Bearer vrf_live_... or vrf_test_....
In: header
Path Parameters
monitoringId*string
Monitoring rule identifier.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/monitoring/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "subject": { "subjectType": "INDIVIDUAL", "fullName": "Jane Wanjiku Doe", "firstName": "string", "middleName": "string", "lastName": "string", "idNumber": "36901234", "registrationNumber": "PVT-7XUQ8KL", "email": "user@example.com", "phone": "+254712345678", "dateOfBirth": "2019-08-24", "country": "KE" }, "checkNames": [ "IDENTITY" ], "cadence": "string", "status": "ACTIVE", "nextRunAt": "2019-08-24T14:15:22Z", "recentAlerts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "message": "string", "severity": "INFO", "read": true, "actioned": true, "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "createdAt": "2019-08-24T14:15:22Z" } ]}